#Getting to know Ruby
#Trying to perform a simple pushpull by prompted distance


def extrude

#Create inputbox labelled "Distance"
prompts = ["Hauteur"]
values = [100.cm]	# <-- default value for easy testing (just hit return)
results = inputbox prompts, values, "Valeur de l'extrusion"
height = results[0]
puts results		# <-- feeds back entered value to console


#Get selection from model and name it
array_of_all_selected_entities = Sketchup.active_model.selection
			#"selection is an array even if only one entity is highlighted, long name 			#for clarity
			

#Loop through selection to find face
array_of_all_selected_entities.each { |e|
			#Loops through the array and assigns the variable "e" to each entity

puts e.typename		# <-- feeds back entity typenames to console
if e.typename == "Face" then
			#determines if there's a pushpull-able entity (=a face) in the array

e.pushpull height	# <-- pushpulls that face by distance "height"
end			#Ends "if" block
}			# {}-brackets surround the block of code describing what to do under the 			#"each" method - remember on both ends!

end			#Ends "def extrude" statement



#Putting "extrude" in the Plugins menu
if( not file_loaded?("fr_extrude.rb") )
UI.menu("Plugins").add_item("Extrusion de faces selectionnes") { extrude }

end

# cannot convert Array into Float
